/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.artifactdatabase;

import de.intevation.artifacts.CallMeta;
import de.intevation.artifacts.Service;
import de.intevation.artifacts.ServiceFactory;

import org.apache.log4j.Logger;

import org.w3c.dom.Document;

/**
 * Trivial implementation of an artifact database service. Useful to
 * be subclassed.
 *
 * @author <a href="mailto:sascha.teichmann@intevation.de">Sascha L. Teichmann</a>
 */
public class DefaultService
implements   Service
{
    private static Logger logger = Logger.getLogger(DefaultService.class);

    public Document process(
        Document data,
        Object   globalContext,
        CallMeta callMeta
    ) {
        if (logger.isDebugEnabled()) {
            logger.debug("Service.process");
        }
        return XMLUtils.newDocument();
    }

    public void setup(ServiceFactory factory, Object globalContext) {
        if (logger.isDebugEnabled()) {
            logger.debug("Service.setup");
        }
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
